Index: testsuites/smptests/smp01/system.h
===================================================================
--- testsuites/smptests/smp01/system.h	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp01/system.h	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -26,5 +26,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   4 
 
Index: testsuites/smptests/smp02/system.h
===================================================================
--- testsuites/smptests/smp02/system.h	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp02/system.h	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -26,5 +26,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   4 
 
Index: testsuites/smptests/smp03/system.h
===================================================================
--- testsuites/smptests/smp03/system.h	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp03/system.h	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -26,5 +26,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   4 
 
Index: testsuites/smptests/smp05/init.c
===================================================================
--- testsuites/smptests/smp05/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp05/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -86,5 +86,4 @@
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   2
 
Index: testsuites/smptests/smp07/init.c
===================================================================
--- testsuites/smptests/smp07/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp07/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -177,5 +177,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   2
 #define CONFIGURE_MAXIMUM_TIMERS           1
Index: testsuites/smptests/smp08/system.h
===================================================================
--- testsuites/smptests/smp08/system.h	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp08/system.h	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -28,5 +28,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   4 
 
Index: testsuites/smptests/smp09/init.c
===================================================================
--- testsuites/smptests/smp09/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smp09/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -89,5 +89,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS   4
 
Index: testsuites/smptests/smpaffinity01/init.c
===================================================================
--- testsuites/smptests/smpaffinity01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpaffinity01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -228,6 +228,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpatomic01/init.c
===================================================================
--- testsuites/smptests/smpatomic01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpatomic01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -830,6 +830,4 @@
 #define CONFIGURE_MICROSECONDS_PER_TICK (MS_PER_TICK * 1000)
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpcache01/init.c
===================================================================
--- testsuites/smptests/smpcache01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpcache01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -269,6 +269,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpcapture01/init.c
===================================================================
--- testsuites/smptests/smpcapture01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpcapture01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -252,6 +252,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpcapture02/init.c
===================================================================
--- testsuites/smptests/smpcapture02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpcapture02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -428,5 +428,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpclock01/init.c
===================================================================
--- testsuites/smptests/smpclock01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpclock01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -175,6 +175,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpfatal01/init.c
===================================================================
--- testsuites/smptests/smpfatal01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpfatal01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -127,6 +127,4 @@
   RTEMS_TEST_INITIAL_EXTENSION
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS MAX_CPUS
 
Index: testsuites/smptests/smpfatal02/init.c
===================================================================
--- testsuites/smptests/smpfatal02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpfatal02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -128,6 +128,4 @@
   RTEMS_TEST_INITIAL_EXTENSION
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS MAX_CPUS
 
Index: testsuites/smptests/smpfatal04/init.c
===================================================================
--- testsuites/smptests/smpfatal04/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpfatal04/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -57,8 +57,4 @@
   RTEMS_TEST_INITIAL_EXTENSION
 
-#define CONFIGURE_SMP_APPLICATION
-
-#define CONFIGURE_SMP_MAXIMUM_PROCESSORS 1
-
 #define CONFIGURE_SCHEDULER_CONTROLS
 
Index: testsuites/smptests/smpfatal05/init.c
===================================================================
--- testsuites/smptests/smpfatal05/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpfatal05/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -57,6 +57,4 @@
   RTEMS_TEST_INITIAL_EXTENSION
 
-#define CONFIGURE_SMP_APPLICATION
-
 /* Lets see when the first RTEMS system hits this limit */
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 64
Index: testsuites/smptests/smpfatal06/init.c
===================================================================
--- testsuites/smptests/smpfatal06/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpfatal06/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -57,7 +57,5 @@
   RTEMS_TEST_INITIAL_EXTENSION
 
-#define CONFIGURE_SMP_APPLICATION
-
-#define CONFIGURE_SMP_MAXIMUM_PROCESSORS 1
+#define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
 #define CONFIGURE_MAXIMUM_TASKS 1
Index: testsuites/smptests/smpfatal08/init.c
===================================================================
--- testsuites/smptests/smpfatal08/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpfatal08/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -114,6 +114,4 @@
   RTEMS_TEST_INITIAL_EXTENSION
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
Index: testsuites/smptests/smpipi01/init.c
===================================================================
--- testsuites/smptests/smpipi01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpipi01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -203,6 +203,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpload01/init.c
===================================================================
--- testsuites/smptests/smpload01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpload01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -393,6 +393,4 @@
 #define CONFIGURE_MICROSECONDS_PER_TICK 1000
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smplock01/init.c
===================================================================
--- testsuites/smptests/smplock01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smplock01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -762,6 +762,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpmigration01/init.c
===================================================================
--- testsuites/smptests/smpmigration01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpmigration01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -239,6 +239,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpmigration02/init.c
===================================================================
--- testsuites/smptests/smpmigration02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpmigration02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -281,6 +281,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
-
-#define CONFIGURE_SMP_APPLICATION
 
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
Index: testsuites/smptests/smpmrsp01/init.c
===================================================================
--- testsuites/smptests/smpmrsp01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpmrsp01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -1771,6 +1771,4 @@
   rtems_test_exit(0);
 }
-
-#define CONFIGURE_SMP_APPLICATION
 
 #define CONFIGURE_MICROSECONDS_PER_TICK 1000
Index: testsuites/smptests/smpmutex01/init.c
===================================================================
--- testsuites/smptests/smpmutex01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpmutex01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -944,6 +944,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS PART_COUNT
 
Index: testsuites/smptests/smpmutex02/init.c
===================================================================
--- testsuites/smptests/smpmutex02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpmutex02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -322,6 +322,4 @@
 #define CONFIGURE_MAXIMUM_TASKS (1 + WORKER_COUNT)
 #define CONFIGURE_MAXIMUM_SEMAPHORES (1 + MTX_COUNT)
-
-#define CONFIGURE_SMP_APPLICATION
 
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
Index: testsuites/smptests/smppsxaffinity01/init.c
===================================================================
--- testsuites/smptests/smppsxaffinity01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smppsxaffinity01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -162,6 +162,4 @@
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smppsxaffinity02/init.c
===================================================================
--- testsuites/smptests/smppsxaffinity02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smppsxaffinity02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -231,5 +231,4 @@
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smppsxmutex01/init.c
===================================================================
--- testsuites/smptests/smppsxmutex01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smppsxmutex01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -160,6 +160,4 @@
 #define CONFIGURE_MAXIMUM_POSIX_MUTEXES 2
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
Index: testsuites/smptests/smppsxsignal01/init.c
===================================================================
--- testsuites/smptests/smppsxsignal01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smppsxsignal01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -177,6 +177,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
Index: testsuites/smptests/smpschedaffinity01/init.c
===================================================================
--- testsuites/smptests/smpschedaffinity01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpschedaffinity01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -156,6 +156,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpschedaffinity02/init.c
===================================================================
--- testsuites/smptests/smpschedaffinity02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpschedaffinity02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -210,6 +210,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpschedaffinity03/init.c
===================================================================
--- testsuites/smptests/smpschedaffinity03/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpschedaffinity03/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -84,6 +84,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpschedaffinity04/init.c
===================================================================
--- testsuites/smptests/smpschedaffinity04/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpschedaffinity04/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -165,6 +165,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpschedaffinity05/init.c
===================================================================
--- testsuites/smptests/smpschedaffinity05/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpschedaffinity05/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -224,6 +224,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpschedsem01/init.c
===================================================================
--- testsuites/smptests/smpschedsem01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpschedsem01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -76,6 +76,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP
 
Index: testsuites/smptests/smpscheduler01/init.c
===================================================================
--- testsuites/smptests/smpscheduler01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpscheduler01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -197,6 +197,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpscheduler02/init.c
===================================================================
--- testsuites/smptests/smpscheduler02/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpscheduler02/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -403,6 +403,4 @@
 #define CONFIGURE_MAXIMUM_MRSP_SEMAPHORES 1
 
-#define CONFIGURE_SMP_APPLICATION
-
 /* Lets see when the first RTEMS system hits this limit */
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 64
Index: testsuites/smptests/smpscheduler03/init.c
===================================================================
--- testsuites/smptests/smpscheduler03/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpscheduler03/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -672,6 +672,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_MAX
 
Index: testsuites/smptests/smpscheduler04/init.c
===================================================================
--- testsuites/smptests/smpscheduler04/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpscheduler04/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -180,6 +180,4 @@
 
 #define CONFIGURE_MAXIMUM_TASKS 3
-
-#define CONFIGURE_SMP_APPLICATION
 
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
Index: testsuites/smptests/smpsignal01/init.c
===================================================================
--- testsuites/smptests/smpsignal01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpsignal01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -236,6 +236,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
Index: testsuites/smptests/smpstrongapa01/init.c
===================================================================
--- testsuites/smptests/smpstrongapa01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpstrongapa01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -333,6 +333,4 @@
 #define CONFIGURE_MAXIMUM_TIMERS 1
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpswitchextension01/init.c
===================================================================
--- testsuites/smptests/smpswitchextension01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpswitchextension01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -237,6 +237,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpthreadlife01/init.c
===================================================================
--- testsuites/smptests/smpthreadlife01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpthreadlife01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -507,6 +507,4 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
Index: testsuites/smptests/smpunsupported01/init.c
===================================================================
--- testsuites/smptests/smpunsupported01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpunsupported01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -73,7 +73,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
-#define CONFIGURE_SMP_APPLICATION
-
-#define CONFIGURE_SMP_MAXIMUM_PROCESSORS 1
+#define CONFIGURE_SMP_MAXIMUM_PROCESSORS 2
 
 #define CONFIGURE_MAXIMUM_TASKS 2
Index: testsuites/smptests/smpwakeafter01/init.c
===================================================================
--- testsuites/smptests/smpwakeafter01/init.c	(revision 436a4b384b70b4b050d5c5967c169a2b79f90042)
+++ testsuites/smptests/smpwakeafter01/init.c	(revision f95fa38764c007459cb0bd62a67e83a442f55433)
@@ -155,6 +155,4 @@
 #define CONFIGURE_MICROSECONDS_PER_TICK 1000
 
-#define CONFIGURE_SMP_APPLICATION
-
 #define CONFIGURE_SMP_MAXIMUM_PROCESSORS CPU_COUNT
 
